Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 24-01-2017 12:16:25

doudi
Membre
Lieu : Compiègne
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
Inscription : 24-01-2017
Site Web

[Résolu] Erreurs à l'installation de Certbot :

Bonjour à tous,

Avant toutes choses, pour ceux qui n'aurait pas vu ma présentation, je suis un vrai noob ! Donc merci d'avance de votre indulgence !

Cela dit, droit au but : Sur mon serveur de prod (Debian Jessie sur Kimsufi ks3) , j'ai voulu installer Certbot (un bot d'installation de certificat Let' Encrypt pour passer le site en https).

Lors de l'installation, j'ai une erreur moche :

dpkg: erreur de traitement du paquet phpmyadmin (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 phpmyadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)



Donc pour essayer d'en savoir plus, j'ai lancé un petit

dpkg --configure -a


qui me renvoie évidemment :

Paramétrage de phpmyadmin (4:4.2.12-2+deb8u1) ...
dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf
Replacing config file /etc/phpmyadmin/config-db.php with new version
dbconfig-common: flushing administrative password
dpkg: erreur de traitement du paquet phpmyadmin (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 phpmyadmin



A la lecture de certains post, j'ai cru comprendre qu'il était de bon ton de vous fournir quelques infos complémentaires, comme ceci :

sudo apt-get install -f


qui me renvoie évidemment :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 136 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Paramétrage de phpmyadmin (4:4.2.12-2+deb8u1) ...
dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf
Replacing config file /etc/phpmyadmin/config-db.php with new version
dbconfig-common: flushing administrative password
dpkg: erreur de traitement du paquet phpmyadmin (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 phpmyadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)



J'ai, à deux ou trois reprise, tenté de changé quelques sources sur mon souces.list, sans succès (vous trouverez donc les différentes sources testées en commentaires) :

cat /etc/apt/sources.list


#deb http://debian.mirrors.ovh.net/debian/ jessie main
#deb-src http://debian.mirrors.ovh.net/debian/ jessie main

deb http://ftp.nz.debian.org/debian/ jessie main
deb-src http://ftp.nz.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main
deb-src http://security.debian.org/ jessie/updates main

# jessie-updates, previously known as 'volatile'
#deb http://debian.mirrors.ovh.net/debian/ jessie-updates main
#deb-src http://debian.mirrors.ovh.net/debian/ jessie-updates main
deb http://ftp.nz.debian.org/debian/ jessie-updates main
deb-src http://ftp.nz.debian.org/debian/ jessie-updates main

# jessie-backports, previously on backports.debian.org
deb http://ftp.debian.org/debian jessie-backports main
#deb http://debian.mirrors.ovh.net/debian/ jessie-backports main
#deb-src http://debian.mirrors.ovh.net/debian/ jessie-backports main

deb http://packages.dotdeb.org jessie all
deb-src http://packages.dotdeb.org jessie all

deb http://debian.mirrors.ovh.net/debian/ jessie main contrib non-free
deb-src http://debian.mirrors.ovh.net/debian/ jessie main contrib non-free



Merci d'avance à tous ceux qui pourront m'apporter un début de réponse !

(et merci aux admins de déplacer ce sujet au bon endroits, j'ai un peu hésité, et pour éviter de faire une bétise, j'ai préféré mettre là).

Dernière modification par doudi (24-01-2017 15:45:35)

Hors ligne

#2 24-01-2017 12:24:28

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [Résolu] Erreurs à l'installation de Certbot :

Tu installes certbot depuis les depots debian ?

apt-cache show certbot


Package: certbot
Source: python-certbot
Version: 0.9.3-1~bpo8+2
Installed-Size: 74
Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
Architecture: all
Replaces: letsencrypt
Provides: letsencrypt
Depends: dialog, python-certbot (= 0.9.3-1~bpo8+2), init-system-helpers (>= 1.18~), python, python:any (>= 2.7~)
Suggests: python-certbot-apache, python-certbot-doc
Breaks: letsencrypt (<= 0.6.0)
Description-en: automatically configure HTTPS using Let's Encrypt
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the main application, including the standalone
 and the manual authenticators.
Description-md5: deb7e404ce1b150b59379c3f9a73ac1a
Homepage: https://certbot.eff.org/
Section: web
Priority: extra
Filename: pool/main/p/python-certbot/certbot_0.9.3-1~bpo8+2_all.deb
Size: 16870
MD5sum: 3a622648e68afcba60e869262ac5dcaf
SHA1: 5fe5897159598c3ed75d052203fe74ff757b4cf5
SHA256: 848258928977b74da3870c9d9fa321c8e2d6430f4ad33137b82bb104b547cb7f


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#3 24-01-2017 12:33:48

doudi
Membre
Lieu : Compiègne
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
Inscription : 24-01-2017
Site Web

Re : [Résolu] Erreurs à l'installation de Certbot :

J'ai suivi cette procédure (clic)

donc à l'origine, après avoir ajouté

deb http://ftp.debian.org/debian jessie-backports main


dans ma sources.list, j'ai juste lancé :

$ apt-get install python-certbot-apache -t jessie-backports


et c'est là que j'ai eu la première erreur.

PS : en lançant la commande "apt-cache show certbot", j'obtiens strictement la même chose que toi.

Dernière modification par doudi (24-01-2017 12:51:30)

Hors ligne

#4 24-01-2017 12:40:12

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [Résolu] Erreurs à l'installation de Certbot :

Regarde ici l'exemple d'une commande depuis le depot des backports et compare avec celle que tu indiques :
https://debian-facile.org/doc:systeme:a … -backports

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#5 24-01-2017 12:53:27

doudi
Membre
Lieu : Compiègne
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
Inscription : 24-01-2017
Site Web

Re : [Résolu] Erreurs à l'installation de Certbot :

En fait, je pré-suppose que ce n'est pas un problème de dépôts :
Pour la petite histoire, j'ai donc aussi un serveur de test, qui est lui un dedibox SC gen 2 (autrement dit un mini-serveur à pas cher).
Sur ce serveur, qui a été paramétré de la même façon que le serveur de prod, je n'ai pas rencontré ce problème !

J'ai donc comparé (et adpaté) les sources.list pour que ça matche, mais ça n'a pas résolu mon problème sad

La comparaison des commandes ne semble pas indiquer d'anomalie, et même si je respecte scrupuleusement l'ordre, cad ainsi :

apt-get -t jessie-backports install python-certbot-apache


J'obtiens toujours la même erreur.

Dernière modification par doudi (24-01-2017 12:53:39)

Hors ligne

#6 24-01-2017 13:39:33

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Erreurs à l'installation de Certbot :

Bonjour smile

dpkg: erreur de traitement du paquet phpmyadmin (--configure) :
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
phpmyadmin


Le retour indique qu'il faudrait reconfigurer phpmyadmin mais je ne vais pas te dire de le faire car je ne maîtrise pas wink Et ça a des chances de tout planter !!!
J'ai vu un lien : https://doc.ubuntu-fr.org/phpmyadmin qui parle de cette reconfiguration mais bon prudence.
je n'ai rien trouvé dans le wiki DF sur cette reconfiguration demandée hmm

Hors ligne

#7 24-01-2017 14:59:22

doudi
Membre
Lieu : Compiègne
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
Inscription : 24-01-2017
Site Web

Re : [Résolu] Erreurs à l'installation de Certbot :

Hum...
Je tente le

dpkg-reconfigure phpmyadmin


et bim :

/usr/sbin/dpkg-reconfigure: phpmyadmin est cassé ou partiellement installé



Je relance donc un réinstallation :

apt-get install phpmyadmin


et re-Bim :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Paquets suggérés :
  www-browser
Les paquets suivants seront mis à jour :
  phpmyadmin
1 mis à jour, 0 nouvellement installés, 0 à enlever et 135 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 3 853 ko dans les archives.
Après cette opération, 10,2 ko d'espace disque supplémentaires seront utilisés.
Réception de : 1 http://ftp.nz.debian.org/debian/ jessie/main phpmyadmin all 4:4.2.12-2+deb8u2 [3 853 kB]
3 853 ko réceptionnés en 5s (672 ko/s)  
Préconfiguration des paquets...
(Lecture de la base de données... 37785 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../phpmyadmin_4%3a4.2.12-2+deb8u2_all.deb ...
Dépaquetage de phpmyadmin (4:4.2.12-2+deb8u2) sur (4:4.2.12-2+deb8u1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.0.2-5) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.13-1) ...
Paramétrage de phpmyadmin (4:4.2.12-2+deb8u2) ...
dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf
Replacing config file /etc/phpmyadmin/config-db.php with new version
dbconfig-common: flushing administrative password
dpkg: erreur de traitement du paquet phpmyadmin (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 phpmyadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)



Alors là... Je sèche sad
Une idée ??

Hors ligne

#8 24-01-2017 15:21:57

doudi
Membre
Lieu : Compiègne
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
Inscription : 24-01-2017
Site Web

Re : [Résolu] Erreurs à l'installation de Certbot :

Bon, j'ai désintallé phpMyAdmin...

apt-get purge phpmyadmin


Puis l'ai ré-installé...

J'ai relancé une mise à jour :

apt-get update


(...)
Lecture des listes de paquets... Fait
W: Erreur de GPG : http://packages.dotdeb.org jessie InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY E9C74FEEA2098A6E


scratchhead.gif

J'ai lancé une petite vérif' :

dpkg --configure -a


qui ne renvoie rien, c'est bon signe...

je relance donc l'install de certibot :

apt-get -t jessie-backports install python-certbot-apache



Et là, bingo ! Plus d'erreur big_smile
Installation de Certbot et Let's Encrypt réalisée avec succès, je jubile big_smile

Merci à tous pour vos pistes et suggestions.
Me reste plus qu'à reparamétrer comme il faut mon phpmyadmin, et roule !

A bientôt (car c'est promis, je reviendrai, les questions suivantes ne vont pas tarder à fuser big_smile )
wink

PS : Comment je passe un sujet à "Résolu" ? Je n'ai pas trouvé ops.gif

Dernière modification par doudi (24-01-2017 15:23:33)

Hors ligne

#9 24-01-2017 15:23:41

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Erreurs à l'installation de Certbot :

Ah ben tu as pris des risques ! Il doit y avoir un moment que tu as ce souci car tu as 135 ou 136 mises à jour à faire.
J'ai trouvé ce lien sur l'erreur de sortie d'état 1 mais ne teste pas à tout va, tu risques de planter ton serveur et ton site. Attends des avis plus experts wink
https://doc.ubuntu-fr.org/probleme_apt# … e_d_etat_1

Édit : le temps que je poste et c'est résolu lol
Tu cliques sur modifier dans ton premier message pour ajouter [Résolu] dans le titre smile

Hors ligne

#10 24-01-2017 15:57:01

doudi
Membre
Lieu : Compiègne
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
Inscription : 24-01-2017
Site Web

Re : [Résolu] Erreurs à l'installation de Certbot :

Le risque restait assez minime, à mon sens :
Au pire, je n'avais plus PhpMyAdmin !

ça n'empêche pas un serveur, et à fortiori un site de tourner ;-)

Merci néanmoins pour les infos complémentaires, je vais essayer de potasser ça, et approfondir un peu wink
merci.gif

Hors ligne

#11 24-01-2017 15:59:32

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Erreurs à l'installation de Certbot :

Et faire les mises à jour car 135 , ça commence à compter wink

Hors ligne

#12 24-01-2017 16:10:30

doudi
Membre
Lieu : Compiègne
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
Inscription : 24-01-2017
Site Web

Re : [Résolu] Erreurs à l'installation de Certbot :

j'étais tellement persuadé que mon "apt-get update" suffisait...
c'est peut-être la raison de mes plantages, en fin de compte...
Je lance un upgrade (j'ai toujours peur que ça me fasse planter qq chose, avec une version trop récente)

Hors ligne

Pied de page des forums